Message: "You can't use this version of the application Install Norton Security with this version of Mac OS X." when I install Norton Security on my Mac

This error appears when you try to install Norton Security on Mac OS X 10.7.4 or earlier. Norton Security for Mac can be installed only on Mac OS X 10.8 or later.

If you are running Mac OS X 10.6.x, a free upgrade is available from Mac OS X 10.6.8 to Mac OS X 10.9. Install all the available updates for your Mac OS X, and then download OS X 10.9.x (Mavericks) from the Mac App Store. For further information on hardware compatibility of Mac models with Mac OS X 10.9.x, refer the Apple OS Support website.

Disclaimer: Symantec is not responsible for the reliability of any data, opinions, advice, or statements made on third-party sites. Symantec provides these links merely as a convenience. The inclusion of such links does not imply that Symantec endorses, recommends, or accepts any responsibility for the content of such sites.

Upgrade to the latest version of Mac OS X

  1. In the Apple menu bar, click the Apple icon and select Software Update.

    If your computer is not up-to-date, you should install the software updates available for your computer that may appear in the list.

  2. In the Software Update window, check the box next to Mac OS X Update, then click Install 1 Item.

    When Software Updates displays "Your software is up to date", you can be sure that all available updates have been installed.

Thank you!

Thank you for using Norton Support.

< Back

Was this information helpful?

DOCID: v101831961_EndUserProfile_en_us
Operating System: Mac OS X
Last modified: 01/07/2016